Subject: bug#63955: closed ()

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Aug 2023 07:45:02 +0000

Your bug report

#63955: [PATCH 0/5] Add pam-gnupg support for Greetd

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63955: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63955
GNU Bug Tracking System
Contact [email-masked] with problems

From: Carlos Durán Domínguez <[email-masked]>
To: [email-masked]
Date: Thu, 31 Aug 2023 09:43:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Continue on https://issues.guix.gnu.org/65538. I sent a second version
of this patch, but not on this thread… sorry.
-- 
Carlos Durán Domínguez

Subject: [PATCH 0/5] Add pam-gnupg support for Greetd
From: [email-masked]
To: [email-masked]
Date: Wed, 7 Jun 2023 19:13:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

This series of patches permits to pass your login password to gpg-agent, starting the daemon at login. The needed PAM modules need to come after all PAM modules including pam-mount. So I change a gnu/services/pam-mount.scm to ensure this requisite. Maybe pam-gnupg should be an independent service that transforms all PAM login files (greetd, slim, login, gdm, etc) at the end, but I think that unix-pam-service has the #:gnupg? argument for a reason, so I did not change it.

I create a new function on guix/utils.scm that insert a list right before the first element that verify a predicate, maybe is wrong to create a new utility procedure or naming insert-before instead of append-before. I am a newbie using Guile and Guix, so I am probably making mistakes.

Carlos Durán Domínguez (5):
  utils: Add insert-before.
  system: pam: Add pam-gnupg-module?.
  services: pam-mount: Fix pam-gnupg incompatibility.
  services: greetd: Add pam-gnupg support.
  system: pam: Fix unix pam module order.

 doc/guix.texi              |  9 +++++++
 gnu/services/base.scm      | 48 ++++++++++++++++++++++----------------
 gnu/services/pam-mount.scm | 12 ++++++----
 gnu/system/pam.scm         | 14 ++++++++---
 guix/utils.scm             | 18 +++++++++++++-
 5 files changed, 73 insertions(+), 28 deletions(-)

base-commit: e8f9fb3e03ea8fee0e13f13706a6b16414f74a7b
-- 
2.40.1